def computa_media(lista):
	soma = 0
	for c in lista:
		soma += c
	return soma / len(lista)


def conta_acima(lista, nota):
	t = []
	for c in lista:
		x = c - nota
		t.append(x)
	return t

def relat_tela(l_nusp, l_notas, media, acima):
	print('------------------------------')
	print('{:10}{:>9}{:>9}'.format('NUSP', 'Nota', 'Difer.')) 
	n_acima = 0
	for i in range(len(l_nusp)):
		print('{:10}{:>9.2f}{:>9.2f}'.format(l_nusp[i], l_notas[i], acima[i])) 
		if acima[i] >= 0:
			n_acima += 1

	print('------------------------------')
	print('Média: {:.2f}'.format(media))
	print('Acima da média: {}'.format(n_acima))
	print('Abaixo da média: {}'.format(len(l_nusp) - n_acima)) 
	return

def relat_arquivo(l_nusp, l_notas, media, acima):
	f = open('relatorio.txt', 'w')
	f.write('------------------------------\n')
	f.write('{:10}{:>9}{:>9}\n'.format('NUSP', 'Nota', 'Difer.')) 
	n_acima = 0
	for i in range(len(l_nusp)):
		f.write('{:10}{:>9.2f}{:>9.2f}\n'.format(l_nusp[i], l_notas[i], acima[i])) 
		if acima[i] >= 0:
			n_acima += 1

	f.write('------------------------------\n')
	f.write('Média: {:.2f}\n'.format(media))
	f.write('Acima da média: {}\n'.format(n_acima))
	f.write('Abaixo da média: {}\n'.format(len(l_nusp) - n_acima)) 
	f.close()
	return


f = open('notas.txt')
s = f.read()
f.close()

listao = s.split()
l_nusp = listao[::2]
l_notas_str = listao[1::2]


l_notas = []
for c in l_notas_str:
	l_notas.append(float(c))

media = computa_media(l_notas)

acima = conta_acima(l_notas, media)

relat_tela(l_nusp, l_notas, media, acima) 
relat_arquivo(l_nusp, l_notas, media, acima)
