
def conta_nomes(unicos, nomes):
	t = []
	for c in unicos:
		k = nomes.count(c)
		t.append(k)
	return t

def relat_tela(cont, nomes, size):
	print('----------------------------------')
	print('{:15}{:>9}{:>9}'.format('Nome', 'Ocorr.', '% total')) 
	soma_ocorr = 0
	soma_percent = 0.0
	for i in range(len(nomes)):
		print('{:15}{:>9d}{:>9.2f}%'.format(nomes[i], cont[i], cont[i]/size*100)) 
		soma_ocorr += cont[i]
		soma_percent += cont[i]/size*100

	print('----------------------------------')
	print('Média ocorrencias: {:.2f}'.format(soma_ocorr/len(nomes)))
	print('Média percentagens: {:.2f}'.format(soma_percent/len(nomes)))
	return

def relat_arquivo(cont, nomes, size):
	f = open('relatorio2.txt', 'w')
	f.write('----------------------------------\n')
	f.write('{:15}{:>9}{:>9}\n'.format('Nome', 'Ocorr.', '% total')) 
	soma_ocorr = 0
	soma_percent = 0.0
	for i in range(len(nomes)):
		f.write('{:15}{:>9d}{:>9.2f}%\n'.format(nomes[i], cont[i], cont[i]/size*100)) 
		soma_ocorr += cont[i]
		soma_percent += cont[i]/size*100

	f.write('----------------------------------\n')
	f.write('Média ocorrencias: {:.2f}\n'.format(soma_ocorr/len(nomes)))
	f.write('Média percentagens: {:.2f}\n'.format(soma_percent/len(nomes)))
	f.close()
	return


f = open('nomes.txt')
nomes = []
unicos = []
for linha in f:
	s = linha.split()
	nomes.append(s[0])
	if not s[0] in unicos:
		unicos.append(s[0]) 
f.close()

cont = conta_nomes(unicos, nomes)

relat_tela(cont, unicos, len(nomes)) 
relat_arquivo(cont, unicos, len(nomes))
